HomeGuidesAPI Reference
API Reference

Update selected templates in a template group

Updates which templates are selected (enabled) within a template group. Selected templates will be applied to appliances associated with this group. Selecting 'qosMaps' requires a valid QoS Policies license. Changes trigger all appliances to be marked as pending for synchronization.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
length ≥ 1

Name of the template group to update. Must not be null or empty.

Body Params

Array of template names to mark as selected. Templates not in this list will be deselected. Use GET /template/templateGroups to retrieve valid template names.

List of template name identifiers to select.

Responses

401

Unauthorized - Authentication required.

403

Forbidden - User lacks READ_WRITE role permissions.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain